//------------------------------------------------------------------
#property copyright "Copyright 2016, mladen - MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
//------------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1  clrLimeGreen
#property indicator_color2  clrOrange
#property indicator_width1  2
#property indicator_width2  2
#property indicator_minimum 0
#property indicator_maximum 1
#property strict

extern int ChinShift = 26;  // Chinkou span shift
double histoUp[],histoDn[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int OnInit()
{
   IndicatorBuffers(2);
      SetIndexBuffer(0,histoUp); SetIndexStyle(0,DRAW_HISTOGRAM);
      SetIndexBuffer(1,histoDn); SetIndexStyle(1,DRAW_HISTOGRAM);
   return(0);
}
void OnDeinit(const int reason) { }
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double   &open[],
                const double   &high[],
                const double   &low[],
                const double   &close[],
                const long     &tick_volume[],
                const long     &volume[],
                const int      &spread[])
{
   int counted_bars = prev_calculated;
      if(counted_bars < 0) return(-1);
      if(counted_bars > 0) counted_bars--;
           int limit=MathMin(rates_total-counted_bars,rates_total-1);

   //
   //
   //
   //
   //

   for(int i=MathMin(limit,rates_total-ChinShift-1); i >= 0; i--)
   {
      histoDn[i+ChinShift] = EMPTY_VALUE;
      histoUp[i+ChinShift] = EMPTY_VALUE;
         if (close[i]>close[i+ChinShift]) histoUp[i+ChinShift] = 1;
         if (close[i]<close[i+ChinShift]) histoDn[i+ChinShift] = 1;
   }
   return(rates_total);
}